//FirstView Component Constructor
function FirstView() {
	//create object instance, a parasitic subclass of Observable
	var self = Ti.UI.createView();
	
	//label using localization-ready strings from <app dir>/i18n/en/strings.xml
	var label = Ti.UI.createLabel({
		color:'#000000',
		text:String.format(L('welcome'),'Titanium'),
		height:'auto',
		width:'auto'
	});
	self.add(label);
	
	//Add behavior for UI
	label.addEventListener('click', function(e) {
		alert(e.source.text);
	});
	
	var webView = Ti.UI.createWebView({
		height : Ti.UI.FILL,
		bottom : 0,
		width : Ti.UI.FILL,
		url : Ti.Filesystem.getFile(Ti.Filesystem.resourcesDirectory, 'web/test.html').nativePath
	});
	self.add(webView);
	
	return self;
}

module.exports = FirstView;